## CongEditorAreaExpander

CongEditorAreaExpander —

## Synopsis

    struct      CongEditorAreaExpander;
    #define     CONG_EDITOR_AREA_EXPANDER       (obj)
    #define     CONG_EDITOR_AREA_EXPANDER_CLASS (klass)
    #define     IS_CONG_EDITOR_AREA_EXPANDER    (obj)
    GType       cong_editor_area_expander_get_type
                                                (void);
    CongEditorArea* cong_editor_area_expander_construct
                                                (CongEditorAreaExpander *area_expander,
                                                 CongEditorWidget3 *editor_widget,
                                                 gboolean expanded);
    CongEditorArea* cong_editor_area_expander_new
                                                (CongEditorWidget3 *editor_widget,
                                                 gboolean expanded);
    gboolean    cong_editor_area_expander_get_state
                                                (CongEditorAreaExpander *area_expander);

## Object Hierarchy

      GObject
       +----CongEditorArea
             +----CongEditorAreaExpander

## Signal Prototypes

    "expansion-changed"
                void        user_function      (CongEditorAreaExpander *congeditorareaexpander,
                                                gpointer user_data);

## Description

## Details

### struct CongEditorAreaExpander

    struct CongEditorAreaExpander;

### CONG_EDITOR_AREA_EXPANDER()

    #define CONG_EDITOR_AREA_EXPANDER(obj)         G_TYPE_CHECK_INSTANCE_CAST (obj, CONG_EDITOR_AREA_EXPANDER_TYPE, CongEditorAreaExpander)

`obj` : |

### CONG_EDITOR_AREA_EXPANDER_CLASS()

    #define CONG_EDITOR_AREA_EXPANDER_CLASS(klass) G_TYPE_CHECK_CLASS_CAST (klass, CONG_EDITOR_AREA_EXPANDER_TYPE, CongEditorAreaExpanderClass)

`klass` : |

### IS_CONG_EDITOR_AREA_EXPANDER()

    #define IS_CONG_EDITOR_AREA_EXPANDER(obj)      G_TYPE_CHECK_INSTANCE_TYPE (obj, CONG_EDITOR_AREA_EXPANDER_TYPE)

`obj` : |

### cong_editor_area_expander_get_type ()

    GType       cong_editor_area_expander_get_type
                                                (void);

Returns : |

### cong_editor_area_expander_construct ()

    CongEditorArea* cong_editor_area_expander_construct
                                                (CongEditorAreaExpander *area_expander,
                                                 CongEditorWidget3 *editor_widget,
                                                 gboolean expanded);

TODO: Write me

`area_expander` : |
`editor_widget` : |
`expanded` : |
Returns : |

### cong_editor_area_expander_new ()

    CongEditorArea* cong_editor_area_expander_new
                                                (CongEditorWidget3 *editor_widget,
                                                 gboolean expanded);

TODO: Write me

`editor_widget` : |
`expanded` : |
Returns : |

### cong_editor_area_expander_get_state ()

    gboolean    cong_editor_area_expander_get_state
                                                (CongEditorAreaExpander *area_expander);

TODO: Write me

`area_expander` : |
Returns : |

## Signals

### The "expansion-changed" signal

    void        user_function                  (CongEditorAreaExpander *congeditorareaexpander,
                                                gpointer user_data);

`congeditorareaexpander` : | the object which received the signal.
`user_data` : | user data set when the signal handler was connected.